import { StiValueElement } from "../../../system/interfaces";
import StiJson from "../../../system/StiJson";
import { StiTextBoxCellItem } from "../cells/StiTextBoxCellItem";
import { StiColumnItem } from "../StiColumnItem";
export declare class StiTextBoxColumnItem extends StiColumnItem implements StiValueElement {
    type: string;
    cells: StiTextBoxCellItem[];
    get value(): Object;
    setDefaultValues(): void;
    saveToJsonObject(options: any): StiJson;
    createCell(): any;
    loadFromJsonObject(json: StiJson): void;
}
